server.port=7001
#tomcat\u6700\u5927\u7EBF\u7A0B\u6570\uFF0C\u9ED8\u8BA4\u4E3A200
server.tomcat.threads.max=2500
#tomcat\u6700\u5927\u8FDE\u63A5\u6570
server.tomcat.max-connections=2500
#tomcat\u7684URI\u7F16\u7801
server.tomcat.uri-encoding=UTF-8

#\u9879\u76EE\u540D\u79F0
spring.application.name=teachcloud

#\u6570\u636E\u6E90\u914D\u7F6E
db.host=localhost
db.port=3306
db.name=teachcloud-3.3.3
db.username=root
db.password=12345678

#redis\u6570\u636E\u6E90\u914D\u7F6E
com.qmth.redis.host=127.0.0.1
com.qmth.redis.port=6379
com.qmth.redis.db=6
#com.qmth.redis.password=

#mysql\u914D\u7F6E
com.qmth.datasource.url=jdbc:mysql://${db.host}:${db.port}/${db.name}?serverTimezone=Asia/Shanghai&useUnicode=true&characterEncoding=UTF-8&nullCatalogMeansCurrent=true
com.qmth.datasource.username=${db.username}
com.qmth.datasource.password=${db.password}
com.qmth.mybatis.log-level=debug

#activiti\u914D\u7F6E
#activiti\u4F1A\u5BF9\u6570\u636E\u5E93\u4E2D\u6240\u6709\u8868\u8FDB\u884C\u66F4\u65B0\u64CD\u4F5C\u3002\u5982\u679C\u8868\u4E0D\u5B58\u5728\uFF0C\u5219\u81EA\u52A8\u521B\u5EFA
#false\uFF1Afalse\u4E3A\u9ED8\u8BA4\u503C\uFF0C\u8BBE\u7F6E\u4E3A\u8BE5\u503C\u540E\uFF0CActiviti\u5728\u542F\u52A8\u65F6\uFF0C\u4F1A\u5BF9\u6BD4\u6570\u636E\u5E93\u8868\u4E2D\u4FDD\u5B58\u7684\u7248\u672C\uFF0C\u5982\u679C\u6CA1\u6709\u8868\u6216\u8005\u7248\u672C\u4E0D\u5339\u914D\u65F6\uFF0C\u5C06\u5728\u542F\u52A8\u65F6\u629B\u51FA\u5F02\u5E38\u3002
#true\uFF1A\u8BBE\u7F6E\u4E3A\u8BE5\u503C\u540E\uFF0CActiviti\u4F1A\u5BF9\u6570\u636E\u5E93\u4E2D\u6240\u6709\u7684\u8868\u8FDB\u884C\u66F4\u65B0\uFF0C\u5982\u679C\u8868\u4E0D\u5B58\u5728\uFF0C\u5219Activiti\u4F1A\u81EA\u52A8\u521B\u5EFA\u3002
#create-drop\uFF1AActiviti\u542F\u52A8\u65F6\uFF0C\u4F1A\u6267\u884C\u6570\u636E\u5E93\u8868\u7684\u521B\u5EFA\u64CD\u4F5C\uFF0C\u5728Activiti\u5173\u95ED\u65F6\uFF0C\u6267\u884C\u6570\u636E\u5E93\u8868\u7684\u5220\u9664\u64CD\u4F5C\u3002
#drop-create\uFF1AActiviti\u542F\u52A8\u65F6\uFF0C\u6267\u884C\u6570\u636E\u5E93\u8868\u7684\u5220\u9664\u64CD\u4F5C\u5728Activiti\u5173\u95ED\u65F6\uFF0C\u4F1A\u6267\u884C\u6570\u636E\u5E93\u8868\u7684\u521B\u5EFA\u64CD\u4F5C\u3002
spring.activiti.database-schema-update=true
#\u68C0\u6D4B\u5386\u53F2\u8868\u662F\u5426\u5B58\u5728
spring.activiti.db-history-used=true
#\u81EA\u52A8\u90E8\u7F72\u9A8C\u8BC1\u8BBE\u7F6E:true-\u5F00\u542F\uFF08\u9ED8\u8BA4\uFF09\u3001false-\u5173\u95ED
spring.activiti.check-process-definitions=false
#spring.activiti.process-definition-location-prefix=classpath:/processes/
#\u5BF9\u4E8E\u5386\u53F2\u6570\u636E\uFF0C\u4FDD\u5B58\u5230\u4F55\u79CD\u7C92\u5EA6\uFF0CActiviti\u63D0\u4F9B\u4E86history-level\u5C5E\u6027\u5BF9\u5176\u8FDB\u884C\u914D\u7F6E\u3002history-level\u5C5E\u6027\u6709\u70B9\u50CFlog4j\u7684\u65E5\u5FD7\u8F93\u51FA\u7EA7\u522B\uFF0C\u8BE5\u5C5E\u6027\u6709\u4EE5\u4E0B\u56DB\u4E2A\u503C\uFF1A
#none\uFF1A\u4E0D\u4FDD\u5B58\u4EFB\u4F55\u7684\u5386\u53F2\u6570\u636E\uFF0C\u56E0\u6B64\uFF0C\u5728\u6D41\u7A0B\u6267\u884C\u8FC7\u7A0B\u4E2D\uFF0C\u8FD9\u662F\u6700\u9AD8\u6548\u7684\u3002
#activity\uFF1A\u7EA7\u522B\u9AD8\u4E8Enone\uFF0C\u4FDD\u5B58\u6D41\u7A0B\u5B9E\u4F8B\u4E0E\u6D41\u7A0B\u884C\u4E3A\uFF0C\u5176\u4ED6\u6570\u636E\u4E0D\u4FDD\u5B58\u3002
#audit\uFF1A\u9664activity\u7EA7\u522B\u4F1A\u4FDD\u5B58\u7684\u6570\u636E\u5916\uFF0C\u8FD8\u4F1A\u4FDD\u5B58\u5168\u90E8\u7684\u6D41\u7A0B\u4EFB\u52A1\u53CA\u5176\u5C5E\u6027\u3002audit\u4E3Ahistory\u7684\u9ED8\u8BA4\u503C\u3002
#full\uFF1A\u4FDD\u5B58\u5386\u53F2\u6570\u636E\u7684\u6700\u9AD8\u7EA7\u522B\uFF0C\u9664\u4E86\u4F1A\u4FDD\u5B58audit\u7EA7\u522B\u7684\u6570\u636E\u5916\uFF0C\u8FD8\u4F1A\u4FDD\u5B58\u5176\u4ED6\u5168\u90E8\u6D41\u7A0B\u76F8\u5173\u7684\u7EC6\u8282\u6570\u636E\uFF0C\u5305\u62EC\u4E00\u4E9B\u6D41\u7A0B\u53C2\u6570\u7B49\u3002
spring.activiti.history-level=audit

#com.qmth.fss.private.config=oss://key:secret@teachcloud-dps-dev-private.oss-api.qmth.com.cn
#com.qmth.fss.private.server=https://oss-file.qmth.com.cn/teachcloud-dps-dev-private
#com.qmth.fss.public.config=oss://key:secret@teachcloud-dps-dev-public.oss-api.qmth.com.cn
#com.qmth.fss.public.server=https://oss-file.qmth.com.cn/teachcloud-dps-dev-public

#com.qmth.fss.public.config=../static/
#com.qmth.fss.public.server=/static/
#com.qmth.fss.private.config=../static/
#com.qmth.fss.private.server=/static/

com.qmth.fss.public.config=/Users/xiaofei/qmth/temporary/zxzk/file-temp/
com.qmth.fss.public.server=/file-temp/
com.qmth.fss.private.config=/Users/xiaofei/qmth/temporary/zxzk/pdf-temp/
com.qmth.fss.private.server=/pdf-temp/

#\u7CFB\u7EDF\u914D\u7F6E
sys.config.oss=true
sys.config.htmlToPdfUrl=/usr/local/bin/wkhtmltopdf
sys.config.serverUpload=
spring.resources.static-locations=file:${sys.config.serverUpload},classpath:/META-INF/resources/,classpath:/resources/

#com.qmth.api.uri-prefix=/aaa
#\u7EDF\u8BA1\u9875\u9762\u914D\u7F6E
com.qmth.api.metrics-endpoint=/metrics-count
com.qmth.api.global-auth=true
#com.qmth.api.global-strict=false
#com.qmth.api.global-rate-limit=1/5s

#token\u8D85\u65F6\u914D\u7F6E
com.qmth.auth.time-max-ahead=1m
com.qmth.auth.time-max-delay=5m

#\u7F13\u5B58\u65F6\u95F4
com.qmth.cache.expire-after-write=8h

#\u65E5\u671F\u683C\u5F0F\u5316
spring.jackson.date-format=yyyy-MM-dd HH:mm:ss
spring.jackson.time-zone=GMT+8

#\u65E5\u5FD7\u914D\u7F6E
com.qmth.logging.root-level=info
com.qmth.logging.file-path=/Users/xiaofei/qmth/temporary/zxzk/log/distributed-print.log

#com.qmth.solar.access-key=274f823e5f59410f8b3bb6edcd8e2b6e
#com.qmth.solar.access-secret=y7AO6W0TOdTF8HpWBwGHbp3wfIHsmUKr

com.qmth.sms.server=https://solar.qmth.com.cn